## ros-galactic-ros2doctor 0.13.5

=== debian/changelog ===
ros-galactic-ros2doctor (0.13.5-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-ros2doctor (0.13.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 30 Jun 2022 07:00:00 -0000

ros-galactic-ros2doctor (0.13.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-ros2doctor (0.13.2-1focal) focal; urgency=high

  * Improve ros2 doctor on Windows. (#631 <https://github.com/ros2/ros2cli/issues/631>) (#634 <https://github.com/ros2/ros2cli/issues/634>)
  * Add changelog. (#636 <https://github.com/ros2/ros2cli/issues/636>)
  * Contributors: Ivan Santiago Paunovic, mergify[bot]

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 07 May 2021 07:00:00 -0000

ros-galactic-ros2doctor (0.13.1-1focal) focal; urgency=high

  * Continue to next iteration after exceptions in generate_reports. (#623 <https://github.com/ros2/ros2cli/issues/623>)
  * Contributors: Alberto Soragna

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-ros2doctor (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-ros2doctor (0.12.0-1focal) focal; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-galactic-ros2doctor (0.11.0-1focal) focal; urgency=high

  * Support Python 3.8-provided importlib.metadata. (#585 <https://github.com/ros2/ros2cli/issues/585>)
  * Contributors: Scott K Logan

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-ros2doctor (0.10.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-ros2doctor (0.10.0-1focal) focal; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Remove pkg_resources from ros2doctor. (#537 <https://github.com/ros2/ros2cli/pull/537>)
  * Make ros2doctor depend on ros_environment and fix platform.py bug on error. (#538 <https://github.com/ros2/ros2cli/issues/538>)
  * Refactor ros2doctor hello verb. (#521 <https://github.com/ros2/ros2cli/issues/521>)
  * Contributors: Chris Lalancette, Claire Wang, Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-galactic-ros2doctor (0.9.5-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-ros2doctor (0.9.4-1focal) focal; urgency=high

  * Ensure ros2doctor ROS nodes have valid names. (#513 <https://github.com/ros2/ros2cli/issues/513>)
  * Contributors: Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-ros2doctor (0.9.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-galactic-ros2doctor (0.9.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-ros2doctor (0.9.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-galactic-ros2doctor (0.9.0-1focal) focal; urgency=high

  * Make sure to add ros2doctor verbs to the extension points. (#495 <https://github.com/ros2/ros2cli/issues/495>)
  * [ros2doctor] Only report topic warnings if publisher or subscription count is zero. (#472 <https://github.com/ros2/ros2cli/issues/472>)
    Before the tool was generating many false positives as it is a valid configuration
    to have an unequal number of publishers and subscriptions on a given topic.
    This change makes it so we only provide a warning if one of the counts is zero and the
    other is not. Although this is still a legitimate configuration, it seems more likely to be
    a problem and worth reporting.
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Prefix ros2doctor node names with 'ros2doctor_'. (#451 <https://github.com/ros2/ros2cli/issues/451>)
    This fixes an error when the hostname starts
    with an illegal character for a node name
    (e.g. a number).
  * [ros2doctor] Handle non-metapackages in rosdistro check. (#452 <https://github.com/ros2/ros2cli/issues/452>)
    Otherwise, we get a KeyError and get warnings about not being able to find versions for certain packages.
  * [ros2doctor] Improve doctor_warn() . (#445 <https://github.com/ros2/ros2cli/issues/445>)
    * Decouple warning/error msg from result to show traceback
    * Update print statement to use f-string
    * Remove None return and add error catching
    * Specify stacklevel; add doctor_error
  * Multimachine communication. (#432 <https://github.com/ros2/ros2cli/issues/432>)
    * Add verb call
    * Add verb entry point
    * Put executor.spin in its own thread
    * Update args
    * Add missing whitespace
    * Add summary table doc string
    * Fix exception ignore traceback
    * Fix mixed up sub/receive dicts
    * Reapply changes
    * Add option and verbose name, enforce node name uniqueness, add context lock. prefix variables, add infinite loop
    * Change verb naem
    * Add single host test case
    * Add rclpy dependency
    * Correct typo, remove stderr from test
    * Restart daemon to resolve CI runtime error
    * Replace ready_fn with ReadyToTest()
  * [ros2doctor] Check for deprecated packages. (#388 <https://github.com/ros2/ros2cli/issues/388>)
    * Check local package versions against rosdistro
  * Revert "simplify helper function"
    This reverts commit 2c1768d1f464aa6e8d7f4cb162a5e36647036a43.
  * Simplify helper function

