=== debian/control ===
Source: ros-galactic-ros2doctor
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-galactic-ament-copyright <!nocheck>, ros-galactic-ament-flake8 <!nocheck>, ros-galactic-ament-pep257 <!nocheck>, ros-galactic-ament-xmllint <!nocheck>, ros-galactic-ros-testing <!nocheck>, ros-galactic-ros2cli, ros-galactic-std-msgs <!nocheck>, ros-galactic-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ros2doctor
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-catkin-pkg-modules, python3-ifcfg, python3-importlib-metadata, python3-rosdistro-modules, ros-galactic-ament-index-python, ros-galactic-rclpy, ros-galactic-ros-environment, ros-galactic-ros2cli, ros-galactic-ros-workspace
Description: A command line tool to check potential issues in a ROS 2 system
